%define xmms_inputdir %(xmms-config --input-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/Input)

Summary: X MultiMedia System input plugin to play speex files
Name: xmms-speex
Version: 0.9.1
Release: 13
# Some files taken from other projects are GPLv2+, but the core is GPLv2 only
License: GPLv2
Group: Applications/Multimedia
# The offial home page has been missing since at least mid 2005...
#URL: http://jzb.rapanden.dk/projects/speex-xmms
#Source: http://jzb.rapanden.dk/pub/speex-xmms-%{version}.tar.gz
Source: speex-xmms-%{version}.tar.gz
Patch0: speex-xmms-0.9.1.patch
Patch1: speex-xmms-0.9.1-gcc4.patch
Patch2: speex-xmms-0.9.1-includes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: xmms-devel, speex-devel, libogg-devel


%description
X MultiMedia System input plugin to play speex files.


%prep
%setup -q -n speex-xmms
%patch0 -p1
%patch1 -p1 -b .gcc4
%patch2 -p1 -b .includes


%build
%{__make} %{?_smp_mflags} CFLAGS="%{optflags} -fPIC"


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README
%{xmms_inputdir}/libspeex.so


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.1-13
- Autorebuild for GCC 4.3

* Tue Nov 20 2007 Matthias Saou <http://freshrpms.net/> 0.9.1-12
- Remove URL field (upstream is dead) and absolute source URL (#359591).

* Thu Aug 23 2007 Matthias Saou <http://freshrpms.net/> 0.9.1-11
- Rebuild for new BuildID feature.

* Mon Aug  6 2007 Matthias Saou <http://freshrpms.net/> 0.9.1-10
- Update License field.
- Remove dist tag, since the package will seldom change.

* Mon Feb 19 2007 Matthias Saou <http://freshrpms.net/> 0.9.1-9
- Include patch to add new speex/ prefix to speex header files.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.9.1-8
- FC6 rebuild.

* Tue Aug 22 2006 Matthias Saou <http://freshrpms.net/> 0.9.1-7
- Rebuild (#203458 for devel and #203476 for FC5).

* Mon Feb 13 2006 Matthias Saou <http://freshrpms.net/> 0.9.1-6
- Rebuild for new gcc/glibc.

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.9.1-5
- Include gcc4 patch from Michael Schwendt.
- The URL and Source headers no longer to point to a valid location, but no
  better one can be found (yet?).

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.9.1-4
- Bump release to provide Extras upgrade path.

* Mon Jul  5 2004 Matthias Saou <http://freshrpms.net/> 0.9.1-3
- Fix for x86_64.

* Wed May 19 2004 Matthias Saou <http://freshrpms.net/> 0.9.1-2
- Rebuild for Fedora Core 2.

* Mon Jan  5 2004 Matthias Saou <http://freshrpms.net/> 0.9.1-1
- Initial rpm package.

